import pg from 'pg'

export async function createPgClient ({ host, port, database }: { host: string, port: number, database?: string }) {
  let client = new pg.Client({
    user: 'postgres',
    password: 'postgres',
    database,
    host,
    port
  })
  await client.connect()
  return client
}

export function executePgQuery ({ client, query }: { client: pg.Client, query: string }) {
  return client.query(query)
}

